PUIC(1)

NAME
puic - perl user interface compiler

SYNOPSIS
puic [options] [mode] <uifile>

DESCRIPTION
This manual page documents briefly the puic command.

puic is a program you can use to compile .ui and .ui.h files (from Qt Designer) into perl (actually, PerlQt) code. This enables you to draw your application using Qt Designer, compile and then run it. PerlQt is an API for Perl to the Qt toolkit from Trolltech. With PerlQt, you can use Qt widgets in perl code, thus giving a GUI to your perl programs.

OPTIONS
Generate implementation:
   puic [options] <uifile> Generate image collection:
   puic [options] -embed <project> <image1> <image2> <image3> ...
        <project> project name
        <image[0..n]> image files Generate subclass implementation:
   puic [options] -subimpl <classname> <uifile>
        <classname> name of the subclass to generate

Options:

-o file
    Write output to file rather than stdout

-p indent
    Set the indent in spaces (0 to use a tab)

-nofwd
    Omit imports of custom widgets

-tr func
    Use func(...) rather than trUtf8(...) for i18n

-x  Generate extra code to test the class

-version
    Display version of puic

-help
    Show summary of options

SEE ALSO
http://perlqt.sourceforge.net/

AUTHOR
This manual page was written by Lutz Badenheuer <Lutz.Badenheuer@t-online.de>, for the Debian project (but may be used by others).